---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libem07t002.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3BE0, symBinAddr: 0x4090, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x52850, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x54790, symBinAddr: 0xE130, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x54B80, symBinAddr: 0xE520, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x55B20, symBinAddr: 0xF4C0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x55B30, symBinAddr: 0xF4D0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: _plist, symObjAddr: 0x6D230, symBinAddr: 0x26BD0, symSize: 0x0 }
  - { offsetInCU: 0xBCE, offset: 0xBCE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x524B0, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xBD9, offset: 0xBD9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x524B4, symBinAddr: 0xC0B4, symSize: 0x0 }
  - { offsetInCU: 0xBE4, offset: 0xBE4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x524B8, symBinAddr: 0xC0B8, symSize: 0x0 }
  - { offsetInCU: 0xC29, offset: 0xC29, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x52610, symBinAddr: 0xC0C0, symSize: 0x0 }
  - { offsetInCU: 0xCA2, offset: 0xCA2, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x526C8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0xCC0, offset: 0xCC0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x526CC, symBinAddr: 0xC17C, symSize: 0x0 }
  - { offsetInCU: 0xCD9, offset: 0xCD9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x526D0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0xCF2, offset: 0xCF2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x526D4, symBinAddr: 0xC184, symSize: 0x0 }
  - { offsetInCU: 0xD0B, offset: 0xD0B, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x526D8, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x92FA, offset: 0x92FA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x526E0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9383, offset: 0x9383, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x526F0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x939C, offset: 0x939C, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x526F8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93B5, offset: 0x93B5, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x52700, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93CE, offset: 0x93CE, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x52708, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x93E7, offset: 0x93E7, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x52710, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9401, offset: 0x9401, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x52718, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x94E7, offset: 0x94E7, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x52760, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9500, offset: 0x9500, size: 0x8, addend: 0x0, symName: __ZL8syncLock, symObjAddr: 0x52768, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x9519, offset: 0x9519, size: 0x8, addend: 0x0, symName: __ZL16callbacksEnabled, symObjAddr: 0xEA38, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0x9532, offset: 0x9532, size: 0x8, addend: 0x0, symName: __ZL15methodLoadCount, symObjAddr: 0x52770, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x954B, offset: 0x954B, size: 0x8, addend: 0x0, symName: __ZL17methodUnloadCount, symObjAddr: 0x52774, symBinAddr: 0xC1E4, symSize: 0x0 }
  - { offsetInCU: 0x9564, offset: 0x9564, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x52778, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x964D, offset: 0x964D, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x730, symBinAddr: 0x2C50, symSize: 0x80 }
  - { offsetInCU: 0x96E2, offset: 0x96E2, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x680, symBinAddr: 0x2BA0, symSize: 0xB0 }
  - { offsetInCU: 0x973D, offset: 0x973D, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x560, symBinAddr: 0x2AA0, symSize: 0x100 }
  - { offsetInCU: 0x99D0, offset: 0x99D0, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x7B0, symBinAddr: 0x2CD0, symSize: 0xC0 }
  - { offsetInCU: 0x9A22, offset: 0x9A22, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x870, symBinAddr: 0x2D90, symSize: 0x220 }
  - { offsetInCU: 0x9C07, offset: 0x9C07, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0xA90, symBinAddr: 0x2FB0, symSize: 0xA0 }
  - { offsetInCU: 0x9CBA, offset: 0x9CBA, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0xB50, symBinAddr: 0x3050, symSize: 0x110 }
  - { offsetInCU: 0x9DB0, offset: 0x9DB0, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xCF0, symBinAddr: 0x3160, symSize: 0x150 }
  - { offsetInCU: 0x9F0D, offset: 0x9F0D, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1A60, symBinAddr: 0x32B0, symSize: 0x30 }
  - { offsetInCU: 0x9FEE, offset: 0x9FEE, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1EF0, symBinAddr: 0x32E0, symSize: 0x150 }
  - { offsetInCU: 0xA1E6, offset: 0xA1E6, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x2040, symBinAddr: 0x3430, symSize: 0x160 }
  - { offsetInCU: 0xA4A6, offset: 0xA4A6, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x24D0, symBinAddr: 0x3590, symSize: 0x4A0 }
  - { offsetInCU: 0xA73F, offset: 0xA73F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_findOptionIntValue, symObjAddr: 0x2A90, symBinAddr: 0x3A30, symSize: 0xE0 }
  - { offsetInCU: 0xA7FF, offset: 0xA7FF, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2C20, symBinAddr: 0x3B10, symSize: 0x1B0 }
  - { offsetInCU: 0xAA1A, offset: 0xAA1A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2DD0, symBinAddr: 0x3CC0, symSize: 0xA0 }
  - { offsetInCU: 0xAAE9, offset: 0xAAE9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x3140, symBinAddr: 0x3D60, symSize: 0x20 }
  - { offsetInCU: 0xAB20, offset: 0xAB20, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x3160, symBinAddr: 0x3D80, symSize: 0x20 }
  - { offsetInCU: 0xAB57, offset: 0xAB57, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x3180, symBinAddr: 0x3DA0, symSize: 0x20 }
  - { offsetInCU: 0xAD0A, offset: 0xAD0A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3890, symBinAddr: 0x3DC0, symSize: 0x1A0 }
  - { offsetInCU: 0xB026, offset: 0xB026, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3A30, symBinAddr: 0x3F60, symSize: 0x130 }
  - { offsetInCU: 0xB1D6, offset: 0xB1D6, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3E50, symBinAddr: 0x4300, symSize: 0x1B0 }
  - { offsetInCU: 0xB4C5, offset: 0xB4C5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x4000, symBinAddr: 0x44B0, symSize: 0x80 }
  - { offsetInCU: 0xB58E, offset: 0xB58E, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x4080, symBinAddr: 0x4530, symSize: 0x6A0 }
  - { offsetInCU: 0xC123, offset: 0xC123, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xABB0, symBinAddr: 0x6040, symSize: 0xB0 }
  - { offsetInCU: 0xC19A, offset: 0xC19A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4720, symBinAddr: 0x4BD0, symSize: 0x70 }
  - { offsetInCU: 0xC256, offset: 0xC256, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5430, symBinAddr: 0x4C40, symSize: 0xA0 }
  - { offsetInCU: 0xC361, offset: 0xC361, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6260, symBinAddr: 0x4CE0, symSize: 0x40 }
  - { offsetInCU: 0xC457, offset: 0xC457, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x62A0, symBinAddr: 0x4D20, symSize: 0x2B0 }
  - { offsetInCU: 0xC7FD, offset: 0xC7FD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6550, symBinAddr: 0x4FD0, symSize: 0xC0 }
  - { offsetInCU: 0xC943, offset: 0xC943, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x6610, symBinAddr: 0x5090, symSize: 0x10 }
  - { offsetInCU: 0xCA05, offset: 0xCA05, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x6620, symBinAddr: 0x50A0, symSize: 0x220 }
  - { offsetInCU: 0xCD02, offset: 0xCD02, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9E30, symBinAddr: 0x52C0, symSize: 0x10 }
  - { offsetInCU: 0xCD5F, offset: 0xCD5F, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9E40, symBinAddr: 0x52D0, symSize: 0x490 }
  - { offsetInCU: 0xD33F, offset: 0xD33F, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA2D0, symBinAddr: 0x5760, symSize: 0x10 }
  - { offsetInCU: 0xD3CA, offset: 0xD3CA, size: 0x8, addend: 0x0, symName: _cbCompiledMethodLoad, symObjAddr: 0xA2E0, symBinAddr: 0x5770, symSize: 0x490 }
  - { offsetInCU: 0xD9D1, offset: 0xD9D1, size: 0x8, addend: 0x0, symName: _cbCompiledMethodUnload, symObjAddr: 0xA770, symBinAddr: 0x5C00, symSize: 0x1A0 }
  - { offsetInCU: 0xDB2D, offset: 0xDB2D, size: 0x8, addend: 0x0, symName: _checkEvents, symObjAddr: 0xA910, symBinAddr: 0x5DA0, symSize: 0xE0 }
  - { offsetInCU: 0xDBF5, offset: 0xDBF5, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA9F0, symBinAddr: 0x5E80, symSize: 0x1C0 }
  - { offsetInCU: 0xDDB2, offset: 0xDDB2, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xAC60, symBinAddr: 0x60F0, symSize: 0x36A }
...
